# -*- coding: utf-8 -*-
"""
    demeter database
    name:device_set_loop.py
    author:rabin
"""
from .__load__ import *

class Device_set_loop(Model):
	__table__ = 'device_set_loop'
	__comment__ = '设备周期设置表'
	id = Fields(type='uuid', primaryKey=True, comment='设置ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	devices = Fields(type='text', comment='设备id')
	looptype = Fields(type='smallint', comment='周期类型')
	oper = Fields(type='smallint', comment='操作')
	loop = Fields(type='varchar(200)', comment='周期')
	hour = Fields(type='smallint', comment='小时')
	minute = Fields(type='smallint', comment='分钟')
	status = Fields(type='boolean', default='True', comment='是否取消')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')